Skip to content

Evaluate a Board Statement against an explicit proposed context.

POST
/api/workspace/admin/boards/boards/{boardId}/statements/preview
curl --request POST \
--url https://example.com/api/workspace/admin/boards/boards/example/statements/preview \
--header 'Content-Type: application/json' \
--data '{ "BoardTargetDefinitionId": "example", "Expression": "example", "Values": { "additionalProperty": {} }, "Collections": { "additionalProperty": [ { "additionalProperty": {} } ] } }'
  • None
boardId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Evaluate a Board Statement against an explicit proposed context. Values are keyed by canonical profile path. Collection rows are keyed by collection path.

object
BoardTargetDefinitionId
string
nullable
Expression
string
nullable
Values
object
key
additional properties
object
Collections
object
key
additional properties
Array<object>
object
key
additional properties
object
Examplegenerated
{
"BoardTargetDefinitionId": "example",
"Expression": "example",
"Values": {
"additionalProperty": {}
},
"Collections": {
"additionalProperty": [
{
"additionalProperty": {}
}
]
}
}

OK

Media typeapplication/json
object
Data

Result of evaluating a proposed Board Statement context.

object
Validation

Result of validating and binding a Board Statement expression.

object
Success
boolean
NormalizedExpression
string
nullable
EngineVersion
string
nullable
ProfileVersion
integer format: int32
nullable
SchemaFingerprint
string
nullable
ProfileFingerprint
string
nullable
ExpressionFingerprint
string
nullable
ArtifactFingerprint
string
nullable
IsEventEligible
boolean
nullable
IsStatusInvariantEligible
boolean
nullable
Complexity

Compiled Board Statement complexity metrics.

object
NodeCount
integer format: int32
MaximumDepth
integer format: int32
MaximumPathSegments
integer format: int32
MaximumCollectionItems
integer format: int32
MaximumFunctionArguments
integer format: int32
ExpressionUtf8Bytes
integer format: int32
TokenCount
integer format: int32
Dependencies
Array<object>
nullable

One bound Board Statement dependency.

object
Kind
string
nullable
DependencyId
string
nullable
Path
string
nullable
CollectionScope
string
nullable
IsStatusInvariantSafe
boolean
Diagnostics
Array<object>
nullable

One position-aware Board Statement DSL diagnostic.

object
Code
string
nullable
Message
string
nullable
Start
integer format: int32
Length
integer format: int32
Token
string
nullable
Value
boolean
nullable
EvaluationErrorCode
string
nullable
EvaluationErrorMessage
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Result of evaluating a proposed Board Statement context.

object
Validation

Result of validating and binding a Board Statement expression.

object
Success
boolean
NormalizedExpression
string
nullable
EngineVersion
string
nullable
ProfileVersion
integer format: int32
nullable
SchemaFingerprint
string
nullable
ProfileFingerprint
string
nullable
ExpressionFingerprint
string
nullable
ArtifactFingerprint
string
nullable
IsEventEligible
boolean
nullable
IsStatusInvariantEligible
boolean
nullable
Complexity

Compiled Board Statement complexity metrics.

object
NodeCount
integer format: int32
MaximumDepth
integer format: int32
MaximumPathSegments
integer format: int32
MaximumCollectionItems
integer format: int32
MaximumFunctionArguments
integer format: int32
ExpressionUtf8Bytes
integer format: int32
TokenCount
integer format: int32
Dependencies
Array<object>
nullable

One bound Board Statement dependency.

object
Kind
string
nullable
DependencyId
string
nullable
Path
string
nullable
CollectionScope
string
nullable
IsStatusInvariantSafe
boolean
Diagnostics
Array<object>
nullable

One position-aware Board Statement DSL diagnostic.

object
Code
string
nullable
Message
string
nullable
Start
integer format: int32
Length
integer format: int32
Token
string
nullable
Value
boolean
nullable
EvaluationErrorCode
string
nullable
EvaluationErrorMessage
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}